Bug 833395 - Review Request: ginfo - Service Discovery Client
Review Request: ginfo - Service Discovery Client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Elwell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 07:57 EDT by Laurence Field
Modified: 2014-10-01 09:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-15 13:40:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
steve.traylen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Laurence Field 2012-06-19 07:57:56 EDT
Spec URL: http://lfield.web.cern.ch/lfield/fedora/ginfo.spec
SRPM URL: http://lfield.web.cern.ch/lfield/fedora/ginfo-0.1.5-1.fc16.src.rpm
Description: Service Discovery Client
Fedora Account System Username: lfield
Comment 1 Andrew Elwell 2012-06-27 17:14:53 EDT
Hi Laurence,

Working on the package review for this - The description is far too terse. It doesn't provide me with enough info to work out *what* I can use this package for -- for example there's now way I'd have worked out my use case of iterating through the information system to get hostnames could have been assisted by this application. Can you submit an expanded description in the spec?
Comment 2 Andrew Elwell 2012-07-12 09:24:01 EDT
Rpmlint:

Warnings in rpmlint (below) are due to your description of how to generate the tarball from source repo. 

1) LICENCE - there's no indication in the script itself of the licence - suggest you include the short apache header in it.

installed RPM:
$ rpm -q ginfo 
ginfo-0.1.5-1.fc17.noarch
$ rpmlint ginfo
1 packages and 0 specfiles checked; 0 errors, 0 warnings


SRPM:
$ rpmlint ./ginfo-0.1.5-1.fc16.src.rpm ginfo.src:11: W: macro-in-comment %{name}
ginfo.src:11: W: macro-in-comment %{version}
ginfo.src:12: W: macro-in-comment %{name}
ginfo.src:12: W: macro-in-comment %{version}
ginfo.src:12: W: macro-in-comment %{name}
ginfo.src:12: W: macro-in-comment %{version}
ginfo.src: W: invalid-url Source0: ginfo-0.1.5.tar.gz
1 packages and 0 specfiles checked; 0 errors, 7 warning


Review mandatory items are otherwise OK but the functionality of the script needs some checks - There's no (adjustable) timeout on the LDAP call so if the bdii server is unavailable then you need to wait for a default (60s) timeout in the underlying python lib:

$ time ginfo --host bdii.scotgrid.ac.uk
Error: Can't contact the LDAP server. Please check your host.

real	1m3.186s
user	0m0.056s
sys	0m0.013s



Secondly the man page includes references to 
              ginfo  --host bdii.host.invalid
but you'd be better using bdii.example.com (RFC 2606) as:
      ".invalid" is intended for use in online construction of domain
      names that are sure to be invalid and which it is obvious at a
      glance are invalid."

-- you're trying to give an example of a VALID query not an invalid one!

Other than that, once you've updated the description it should be OK to go.

[OK] The package must be named according to the Package Naming Guidelines .
[OK] The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 
[OK] The package must meet the Packaging Guidelines .
[OK]1 The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[No] The License field in the package spec file must match the actual license. [3]
 -- See 1) above -- you include the 'how to apply' part but not the licence.txt
It'd be nice to put the contents of your current LICENSE as a comment in the start of the script and the actual apache licence txt in LICENSE.

 If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
[OK] The spec file must be written in American English. [5]
[OK] The spec file for the package MUST be legible. [6]
[OK] The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[OK] The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
[N/A] If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
[OK] All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
 The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
[N/A] Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[OK] Packages must NOT bundle copies of system libraries.[11]
[OK] If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
[OK} A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
[OK] A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
[OK] Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
[OK] Each package must consistently use macros. [16]
[OK] The package must contain code, or permissable content. [17]
[N/A] Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[OK] If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[N/A] Static libraries must be in a -static package. [19]
[N/A] Development files must be in a -devel package. [20]
[N/A] In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
[OK] Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
[N/A] Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
[OK] Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[OK] All filenames in rpm packages must be valid UTF-8. [24]
Comment 3 Laurence Field 2012-07-13 05:23:47 EDT
Spec URL: http://lfield.web.cern.ch/lfield/fedora/ginfo.spec
SRPM URL: http://lfield.web.cern.ch/lfield/fedora/ginfo-0.2.1-1.fc16.src.rpm

This version should address all the packaging comments. Upstream have been informed about the timeout feature request.
Comment 4 Andrew Elwell 2012-07-13 05:50:48 EDT
New description is even terser than the last!
Comment 5 Laurence Field 2012-07-13 10:58:08 EDT
Spec URL: http://lfield.web.cern.ch/lfield/fedora/ginfo.spec
SRPM URL: http://lfield.web.cern.ch/lfield/fedora/ginfo-0.2.1-2.fc16.src.rpm

The length of the description has been increased.
Comment 6 Andrew Elwell 2012-07-14 18:16:35 EDT
Looks like you didn't bump the version number to match the spec:


[aelwell@pcitgtelwell ginfo_833395]$ rpm -q ginfo
ginfo-0.2.1-2.fc17.noarch
[aelwell@pcitgtelwell ginfo_833395]$ ginfo --version
ginfo V0.2.0


Built and installed OK on Fed17/x86_64

rpmlint ./ginfo-0.2.1-2.fc16.src.rpm ginfo
ginfo.src: W: invalid-url Source0: ginfo-0.2.1.tar.gz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


(warning about invalid Source0 URL is OK as it's a checkout from SVN tag)

Other than that, review passes OK. Items listed as not OK in the previous one have been addressed.
Comment 7 Laurence Field 2012-07-16 04:20:01 EDT
New Package SCM Request
=======================
Package Name: ginfo
Short Description: A versatile tool for discovering Grid services
Owners: lfield
Branches: f16 f17 el5 el6
Comment 8 Gwyn Ciesla 2012-07-16 11:05:20 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-07-17 05:10:18 EDT
ginfo-0.2.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ginfo-0.2.1-2.fc16
Comment 10 Fedora Update System 2012-07-17 05:10:27 EDT
ginfo-0.2.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ginfo-0.2.1-2.el6
Comment 11 Fedora Update System 2012-07-17 05:10:38 EDT
ginfo-0.2.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ginfo-0.2.1-2.fc17
Comment 12 Fedora Update System 2012-07-17 05:10:51 EDT
ginfo-0.2.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ginfo-0.2.1-2.el5
Comment 13 Fedora Update System 2012-07-26 13:58:56 EDT
ginfo-0.2.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 14 Fedora Update System 2012-08-15 13:40:28 EDT
ginfo-0.2.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2012-08-15 13:41:14 EDT
ginfo-0.2.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 16 Fedora Update System 2012-08-15 18:52:29 EDT
ginfo-0.2.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2012-08-15 18:54:11 EDT
ginfo-0.2.1-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 18 Steve Traylen 2014-09-26 05:25:27 EDT
Package Change Request
======================
Package Name: ginfo
New Branches: epel7
Owners: stevetraylen
Comment 19 Gwyn Ciesla 2014-10-01 09:20:58 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.